System requirements

 

Here are the system requirements required for using Backlog: 

Web browsers

For Windows

Backlog only supports Windows 10 and Windows 11.

  • Microsoft Edge latest version
  • Mozilla Firefox latest version
  • Google Chrome latest version

For macOS

Backlog only supports the latest version of macOS and one version earlier.

  • Apple Safari latest version
  • Mozilla Firefox latest version
  • Google Chrome latest version

Mobile apps

Backlog offers mobile apps to Android and iOS users. Some functions  may not be available compared to  the web browsers.

For iOS

iOS 15.0 and above.

For Android

Android 9.0 and above

Version control

  • Git 1.7.10 or higher (applicable only if you use Git function)
  • Subversion 1.7 or higher (applicable only if you use Subversion function)

Others

  • Microsoft Excel 2010 or higher (to open the exported issue list in Excel from Backlog)
6 people think that it is helpful. Was this helpful for you?

Have a question we didn't answer?

Contact support